#!/usr/bin/perl -w

# basic testing of SDL::OpenGL

use Test::More tests => 4;
use strict;

BEGIN
{
  chdir 't' if -d 't';
  use blib;
  use_ok( 'SDL::OpenGL' ) or exit;
}

TODO:
{
	local $TODO = 'these functions do not yet exist';

	can_ok ('SDL::OpenGL', qw/
		new title delay ticks error warp fullscreen iconify
		grab_input loop attribute/);
}

# These are exported by default, so main:: should know about them
# Actually, this is just a short test, we don't want to list them all, right?
can_ok( 'SDL::OpenGL', 'GL_CULL_FACE' );
can_ok ('SDL::OpenGL', qw/
	CallLists
	CallListsScalar
       /);
