#!/usr/bin/perl -w

# basic testing of SDL::TTFont
BEGIN
{
	use blib;
	chdir 't' if -d 't';
}

use strict;
use SDL::Config;

use Test::More;

plan( skip_all => 'No SDL_ttf support compiled in' )
	unless SDL::Config->has( 'SDL_ttf' );
plan( tests => 2 );

use_ok( 'SDL::TTFont' ); 
  
can_ok ('SDL::TTFont', qw/
	new print width height
	ascent descent normal bold italic underline
	text_shaded text_solid text_blended 
	utf8_shaded utf8_solid utf8_blended 
	unicode_shaded unicode_solid unicode_blended
	/);
