#!/usr/bin/perl -w

# basic testing of SDL::Shell

BEGIN
{
  	use blib;
	chdir 't' if -d 't';
}

use strict;
use SDL::Config;
use Test::More;

plan( skip_all => 'No SDL_console support compiled in' )
	unless SDL::Config->has( 'SDL_console' );
plan( tests => 2 );
  
use_ok( 'SDL::Shell' ); 
can_ok ('SDL::Shell', qw/
	new
	process
	/);
